CHMOD(1)

NUME
chmod - schimbă permisiunile de acces ale fișierelor și dosarelor (biții de mod de acces)

REZUMAT
chmod [OPȚIUNE]... MOD[,MOD]... FIȘIER_sau_DOSAR...
chmod [OPȚIUNE]... MOD-OCTAL FIȘIER_sau_DOSAR...
chmod [OPȚIUNE]... --reference=FIȘIER_REF FIȘIER_sau_DOSAR...

DESCRIERE
Această pagină de manual documentează versiunea GNU a chmod. chmod schimbă permisiunile fiecărui fișier furnizat ca argument, în conformitate cu mod, care este fie o reprezentare simbolică a schimbărilor ce trebuie făcute, fie un număr octal reprezentând tiparul de biți pentru noile permisiuni (biții de mod de acces).

Formatul unui mod simbolic este [ugoa...][[-+=][perms...]...]...], unde perms este fie zero sau mai multe litere din setul rwxXst, fie o singură literă din setul ugo. Se pot indica mai multe moduri simbolice, separate prin virgule.

O combinație a literelor ugoa controlează ce utilizatori vor avea accesul la fișierul/directorul modificat: utilizatorul care îl deține (u), alți utilizatori din grupul deținător al fișierului (g), alți utilizatori care nu sunt în grupul deținător al fișierului (o) sau toți utilizatorii (a). Dacă niciunul dintre acestea nu este indicat, efectul este ca și cum ar fi fost dat (a), dar biții de mod de acces (permisiunile) care sunt definiți în „umask” nu sunt afectați.

Operatorul + face ca biții de mod de fișier selectați să fie adăugați la biții de mod de fișier existenți ai fiecărui fișier; operatorul - face ca aceștia să fie eliminați; iar operatorul = face ca aceștia să fie adăugați și face ca biții nemenționați să fie eliminați, cu excepția faptului că biții de identificare de utilizator și de grup nemenționați ai unui director nu sunt afectați.

Literele rwxXst selectează biții de mod de fișier pentru utilizatorii afectați: citire (r), scriere (w), executare (sau căutare de directoare) (x), executare/căutare numai dacă fișierul este un director sau dacă are deja permisiunea de execuție pentru un anumit utilizator (X), activează identificatorul utilizatorului (SETUID) sau grupului (SETGID) la execuție (s), indicatorul de ștergere restricționată sau bitul lipicios „sticky” (t). În loc de una sau mai multe dintre aceste litere, puteți specifica exact una dintre literele ugo: permisiunile acordate utilizatorului care deține fișierul (u), permisiunile acordate altor utilizatori care sunt membri ai grupului fișierului (g) și permisiunile acordate utilizatorilor care nu fac parte din niciuna dintre cele două categorii precedente (o).

Un mod numeric este compus din una până la patru cifre octale (0-7), obținute prin însumarea biților cu valorile 4, 2 și 1. Cifrele omise se consideră a fi zerouri și se pun la începutul șirului. Prima cifră selectează atributele „set user ID” (4), „set group ID” (2) și „ștergere restricționată sau bitul lipicios (sticky)” (1). A doua cifră selectează permisiunile pentru utilizatorul care deține fișierul: citire (4), scriere (2) și execuție (1); a treia cifră selectează permisiunile pentru alți utilizatori din grupul căruia îi aparține fișierul, cu aceleași valori; și a patra cifră selectează permisiunile pentru alți utilizatori care nu fac parte din grupul căruia îi aparține fișierul, cu aceleași valori.

chmod nu modifică niciodată permisiunile legăturilor simbolice; apelul de sistem chmod nu poate modifica permisiunile acestora. Aceasta nu reprezintă o problemă, deoarece permisiunile legăturilor simbolice nu sunt niciodată utilizate. Cu toate acestea, pentru fiecare legătură simbolică listată în linia de comandă, chmod modifică permisiunile fișierului către care indică legătura. În schimb, chmod ignoră legăturile simbolice întâlnite în timpul parcurgerii recursive a directoarelor.

BIȚII SETUID ȘI SETGID
chmod șterge bitul set-group-ID al unui fișier obișnuit dacă identificatorul de grup al fișierului nu se potrivește cu identificatorul de grup efectiv al utilizatorului sau cu unul dintre identificatorii de grup suplimentari ai utilizatorului, cu excepția cazului în care utilizatorul are privilegiile corespunzătoare. Restricții suplimentare pot face ca biții set-user-ID și set-group-ID din MOD sau FIȘIER_REF să fie ignorați. Acest comportament depinde de politica și funcționalitatea apelului de sistem chmod care stă la baza acestuia. În caz de îndoială, verificați comportamentul sistemului subiacent.

Pentru directoare, chmod păstrează biții set-user-ID și set-group-ID, cu excepția cazului în care se specifică în mod explicit altfel. Puteți activa sau dezactiva biții cu moduri simbolice precum u+s și g-s. Pentru a dezactiva acești biți pentru directoare, cu un mod numeric este necesar un zero suplimentar în față, cum ar fi 00755, un minus în față, cum ar fi -6000, sau un egal în față, cum ar fi =755.

INDICATORUL DE ȘTERGERE RESTRICȚIONATĂ SAU BITUL LIPICIOS (STICKY)
Indicatorul de ștergere restricționată sau bitul lipicios (sticky) este un singur bit, a cărui interpretare depinde de tipul de fișier. În cazul directoarelor, acesta împiedică utilizatorii neprivilegiați să elimine sau să redenumească un fișier din director, cu excepția cazului în care sunt proprietarii fișierului sau ai directorului; acesta se numește indicatorul de ștergere restricționată pentru directorul respectiv și se găsește în mod obișnuit în directoare care pot fi scrise de oricine cum ar fi /tmp. Pentru fișierele obișnuite de pe unele sisteme mai vechi, bitul salvează imaginea de text a programului pe dispozitivul swap, astfel încât acesta se va încărca mai repede atunci când este rulat; acest lucru se numește bitul lipicios.

OPȚIUNI

Schimbă modul fiecărui FIȘIER la MOD. Cu --reference, schimbă modul fiecărui FIȘIER cu cel al FIȘIER_REF.

-c, --changes
    precum --verbose, dar raportează numai atunci când se face o modificare

-f, --silent, --quiet
    suprimă majoritatea mesajelor de eroare

-v, --verbose
    descrie în amănunt acțiunile sau non-acțiunile luate pentru fiecare fișier sau dosar procesat

--no-preserve-root
    nu tratează „/” deosebit (valoarea implicită)

--preserve-root
    eșuează la operarea recursivă pe „/”

--reference=FIȘIER_REF
    utilizează modul din FIȘIER_REF în loc de valorile specificate în MOD. FIȘIER_REF este întotdeauna „dereferenced” dacă este o legătură simbolică.

-R, --recursive
    schimbă fișierele și directoarele în mod recursiv

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Fiecare MOD este de forma „[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+”.

AUTOR
Scris de David MacKenzie și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2023 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
chmod(2)

Documentația completă la <https://www.gnu.org/software/coreutils/chmod>
sau local rulând comanda: «info '(coreutils) chmod invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.